Subject: Information needed on Evolutionary origins of land plants

From: KEIRSTEAD K <[email-masked]>
Date: 23 MAR 95 15:56:45 AST

I am working on a paper on the evolutionary origins of plants
involvong the possibility of a green algae and an oomycete forming a
symbiosis which led to the plant pioneers of land.  If any reliable
sources could help me out it would be greatly appreciated.  Thank
you - Jeff.

Email me at [email-masked]